## net.sf.saxon
Class Configuration.LicenseFeature

    java.lang.Object
      net.sf.saxon.Configuration.LicenseFeature

Enclosing class:
  Configuration

    public static class Configuration.LicenseFeature

extends Object

This class contains constants representing features of the software that may or may not be licensed. (Note, this list is at a finer-grained level than the actual purchasing options.)

Field Summary
`static int` `DOM4J_MODEL`
`static int` `ENTERPRISE_XQUERY`
`static int` `ENTERPRISE_XSLT`
`static int` `JDOM_MODEL`
`static int` `PROFESSIONAL_EDITION`
`static int` `SCHEMA_VALIDATION`
`static int` `XOM_MODEL`

Constructor Summary
`Configuration.LicenseFeature()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCHEMA_VALIDATION

    public static final int SCHEMA_VALIDATION

See Also:
  Constant Field Values

### ENTERPRISE_XSLT

    public static final int ENTERPRISE_XSLT

See Also:
  Constant Field Values

### ENTERPRISE_XQUERY

    public static final int ENTERPRISE_XQUERY

See Also:
  Constant Field Values

### XOM_MODEL

    public static final int XOM_MODEL

See Also:
  Constant Field Values

### JDOM_MODEL

    public static final int JDOM_MODEL

See Also:
  Constant Field Values

### DOM4J_MODEL

    public static final int DOM4J_MODEL

See Also:
  Constant Field Values

### PROFESSIONAL_EDITION

    public static final int PROFESSIONAL_EDITION

See Also:
  Constant Field Values

Constructor Detail

### Configuration.LicenseFeature

    public Configuration.LicenseFeature()

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.